apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: shared-runner
spec:
  interval: 1m
  releaseName: shared-runner
  targetNamespace: shared-runner
  storageNamespace: shared-runner
  install:
    createNamespace: true
  chart:
    spec:
      chart: gitlab-runner
      sourceRef:
        kind: HelmRepository
        name: gitlab
  valuesFrom:
    - kind: Secret
      name: shared-runner-overlay-values
